Skip to navigation

List Action Approval Rules

Retrieves a list of action approval rules for the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project whose action approval rules you want to retrieve. You can get your project ID from the API Credentials page in your global management console.

Query parameters

pageTokenstringOptional
Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSizeintegerOptional>=1Defaults to 50
Maximum number of items to return in the response.

Request

This endpoint expects an object.
filtersobjectOptional
Filter conditions. If omitted, no filtering is applied.

Response

Action approval rules retrieved.
actionApprovalRuleslist of objects
List of action approval rules.
totalCountinteger
Total number of action approval rules that matched the filter options.
nextPageTokenstringOptional
Cursor that points to the first record of the next page of results. Pass this value in the next request.

Errors

400
Bad Request Error